fraqtive (0.4.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 03-use-qt5.
    - Remove merged patch 04-fix-includes.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 13 Mar 2023 12:00:59 +0100

fraqtive (0.4.8-17) unstable; urgency=medium

  * Adjust debian/watch to work again with GitHub.
  * Bump Standards-Version to 4.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Jan 2023 11:07:55 +0100

fraqtive (0.4.8-16) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:31 +0200

fraqtive (0.4.8-15) unstable; urgency=medium

  * Switch to PCRE2.
    Closes: #1000124

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Dec 2021 14:12:12 +0100

fraqtive (0.4.8-14) unstable; urgency=medium

  * debian/watch: Adjust github URL.
  * Bump Standards-Version to 4.6.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Oct 2021 09:42:59 +0200

fraqtive (0.4.8-13) unstable; urgency=medium

  * Override lintian warning maintainer-manual-page.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.1.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:50 +0100

fraqtive (0.4.8-12) unstable; urgency=medium

  * Adjust lintian overrides.
  * Add patch 05-fix-ftbfs to fix a FTBFS.
    Closes: #974545

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Nov 2020 11:38:15 +0100

fraqtive (0.4.8-11) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:49 +0100

fraqtive (0.4.8-10) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Add patch from Helmut Grohne to fix a FTCBFS.
    Closes: #911089

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Nov 2018 11:18:13 +0100

fraqtive (0.4.8-9) unstable; urgency=high

  * Change build dependency to libqt5opengl5-desktop-dev. fraqtive currently
    does not build on armel and armhf.
    Closes: #906667

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Aug 2018 09:42:57 +0200

fraqtive (0.4.8-8) unstable; urgency=medium

  * Add build dependency on libgles2-mesa-dev for armel and armhf.
    Closes: #906667

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Aug 2018 13:51:35 +0200

fraqtive (0.4.8-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0.
  * Add patch from Sune Vuorela to build fraqtive against Qt5.
    Closes: #874888
  * Bump debian/compat to level 11.
  * Move lintian-overrides file to source directory.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 17 Aug 2018 09:42:34 +0200

fraqtive (0.4.8-6) unstable; urgency=medium

  * Set a save URL in the homepage field.
  * Point debian/watch to GitHub.
  * Bump Standards-Version to 4.1.3.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Mar 2018 14:34:14 +0100

fraqtive (0.4.8-5) unstable; urgency=medium

  * Drop dbg package.
  * Bump debian/compat to level 10.
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Add lintian override for false positive hardening-no-bindnow warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 15:51:11 +0200

fraqtive (0.4.8-4) unstable; urgency=high

  * Override dh_auto_install.
    Closes: #841565
  * Remove unused overrrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Oct 2016 13:25:38 +0200

fraqtive (0.4.8-3) unstable; urgency=medium

  * Drop obsolete menu file from package.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Enable full hardening.
  * Add patch 02-spelling-error to fix a spelling error.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2016 15:56:18 +0200

fraqtive (0.4.8-2) unstable; urgency=low

  * Update to DEP5 copyright format.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 May 2015 20:44:34 +0200

fraqtive (0.4.8-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Feb 2015 10:27:50 +0100

fraqtive (0.4.7-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Remove obsolete dependency on hardening-wrapper.
  * Remove unused lintian override.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature, since there
    are no signatures available.
  * Overwrite false positive hardening-no-relro lintian warning.
  * Use dep5 debian/copyright format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Jan 2015 20:21:59 +0100

fraqtive (0.4.6-3) unstable; urgency=low

  * Replace my old e-mail address in debian/copyright.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Add patch 01-desktop-keywords to fix lintian warning
    desktop-entry-lacks-keywords-entry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 10:39:44 +0100

fraqtive (0.4.6-2) unstable; urgency=low

  * Bump compat level to version 9.
  * Migrate to minimal debhelper.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 May 2013 11:28:21 +0200

fraqtive (0.4.6-1) experimental; urgency=low

  * New upstream release.
    - Remove merged patch 01-spelling-error.
    - Remove merged patch 02-qt48-glu.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Add lintian override for false positive hardening-no-fortify-functions
    warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Dec 2012 10:05:05 +0100

fraqtive (0.4.5-6) unstable; urgency=low

  * Add patch 02-qt48-glu from Felix Geyer to fix a FTBFS with Qt 4.8.
    Closes: #664525

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Mar 2012 12:15:08 +0100

fraqtive (0.4.5-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Wrap all debian/control fields.
  * Build depend on libpng-dev.
    Closes: #662332

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Mar 2012 23:03:48 +0100

fraqtive (0.4.5-4) unstable; urgency=low

  * Add missing build-arch and build-indep debian/rules target.
  * Add patch 01-spelling-error to fix an minor spelling error in the source.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Jan 2012 16:37:58 +0100

fraqtive (0.4.5-3) unstable; urgency=low

  * Build with hardening-wrapper.
  * Realy wrap build dependencies.
  * Bump debhelper to version 7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:12:53 +0200

fraqtive (0.4.5-2) unstable; urgency=low

  * Merge 0.4.5-1~bpo50+1 changelog.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:07:05 +0100

fraqtive (0.4.5-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Do not use the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 06 Jan 2010 21:06:59 +0100

fraqtive (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 18 Dec 2009 13:36:39 +0100

fraqtive (0.4.4-4) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Refresh my Debian packaging copyright.
  * Refer in debian/copyright to the GPL-2 file instead of GPL.
  * Merge 0.4.4-2~bpo50+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 May 2009 12:12:33 +0200

fraqtive (0.4.4-3) unstable; urgency=low

  * Correct day of last upload.
  * Add missing ${misc:Depends}. Thanks lintian.
  * Add get-orig-source target.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of fraqtive-dbg to debug.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Fix lintian warning copyright-with-old-dh-make-debian-copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:40:03 +0200

fraqtive (0.4.4-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 24 Mar 2009 21:34:23 +0200

fraqtive (0.4.4-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 12 Oct 2008 10:51:00 +0200

fraqtive (0.4.4-1) experimental; urgency=low

  * New upstream release.
    Uploading to experimental because Lenny is frozen.
  * Build fraqtive with enabled SSE2 instructions on amd64 architectures.
  * Bumped Standards-Version to 3.8.0 (no changes needed).

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 29 Jul 2008 19:43:10 +0200

fraqtive (0.4.3-2) unstable; urgency=low

  * We need a build dependency on libqt4-opengl-dev since qt4-x11 4.4.0-2.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 12 May 2008 22:59:13 +0100

fraqtive (0.4.3-1) unstable; urgency=low

  * New upstream release.
    - Removed dpatch and patches. They are merged in upstream.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 12 May 2008 17:34:03 +0100

fraqtive (0.4.2-2) unstable; urgency=low

  * Added 01-imgload-programming-error.dpatch, which fixes an segfault on
    loading images.
    Closes: #479029
  * Set DM-Upload-Allowed control field.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun,  4 May 2008 21:36:01 +0100

fraqtive (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Added new build depends, which are needed since qt4-x11 has lowered down
    his depends: libaudio-dev, libxt-dev, libpng12-dev, libsm-dev, libice-dev,
    libxi-dev, libxrender-dev, libxrandr-dev, libglu1-mesa-dev, libgl1-mesa-dev,
    libfreetype6-dev and libfontconfig1-dev.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 28 Apr 2008 23:24:19 +0100

fraqtive (0.4.1-1) unstable; urgency=low

  * New upstream release.
    - Removed dpatch and all applied patches. They have been merged in this
      newest release.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 15 Apr 2008 17:27:54 +0100

fraqtive (0.4.0-4) unstable; urgency=low

  * Added 02-fix-qBound-calls.dpatch which solves a FTBFS on mips and mipsel.
    The patch will be applied only on these both architectures.
    Much thanks to Michał Mecinski for helping to develope this patch and also
    much thanks to Thiemo Seufer for his mips account.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Fri,  4 Apr 2008 16:16:30 +0100

fraqtive (0.4.0-3) unstable; urgency=low

  * Included dpatch and ported with the 01-gcc43_ftbfs_fix.dpatch fraqtive
    to GCC 4.3.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 31 Mar 2008 12:25:00 +0100

fraqtive (0.4.0-2) unstable; urgency=low

  * Build the binary with disabled sse2 support. It will fail on architectures
    like s390. Thanks to Bastian Blank for reporting.
    Closes: #473099

 -- Patrick Matthäi <patrick.matthaei@web.de>  Fri, 28 Mar 2008 12:37:56 +0100

fraqtive (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - The new release comes with a complete new build system. So on I had to
      change most files in debian/.
    - Removed command line options from the manpage. They does not exist in
      this release.
    - Removed dpatch. it is not needed anymore.
    - Removed the old doc/ license from debian/copyright. It is not present
      anymore.
    - Also updated the Copyright.
  * Added watch file.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed, 26 Mar 2008 01:16:00 +0100

fraqtive (0.3.1-2) unstable; urgency=low

  * Moved KDE documentations to their right places and reordered symlinks.
    Closes: #461797

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 21 Jan 2008 09:41:00 +0100

fraqtive (0.3.1-1) unstable; urgency=low

  * Initial release.
    Closes: #457379

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 29 Dec 2007 11:50:44 +0100
